package com.mkyong;

import org.apache.wicket.protocol.http.WebApplication;
import org.apache.wicket.request.target.coding.QueryStringUrlCodingStrategy;

import com.mkyong.user.CustomValidatorPage;
import com.mkyong.user.ErrorPage404;

public class WicketApplication extends WebApplication {

	@Override
	public Class<CustomValidatorPage> getHomePage() {

		return CustomValidatorPage.class; // return default page
	}

	@Override
	protected void init() {
 
		mount(new QueryStringUrlCodingStrategy("error404",ErrorPage404.class));
 
	}
	
}
